org.apache.tinkerpop.gremlin.tinkergraph.process.traversal.strategy.optimization

## Class TinkerGraphCountStrategy

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy<TraversalStrategy.ProviderOptimizationStrategy>
  - - org.apache.tinkerpop.gremlin.tinkergraph.process.traversal.strategy.optimization.TinkerGraphCountStrategy

- All Implemented Interfaces:
    Serializable, Comparable<Class<? extends TraversalStrategy>>, TraversalStrategy<TraversalStrategy.ProviderOptimizationStrategy>, TraversalStrategy.ProviderOptimizationStrategy

      public final class TinkerGraphCountStrategy
      extends AbstractTraversalStrategy<TraversalStrategy.ProviderOptimizationStrategy>
      implements TraversalStrategy.ProviderOptimizationStrategy

  This strategy will do a direct `TinkerHelper.getVertices(org.apache.tinkerpop.gremlin.tinkergraph.structure.TinkerVertex, org.apache.tinkerpop.gremlin.structure.Direction, java.lang.String...)` size call if the traversal is a count of the vertices and edges of the graph or a one-to-one map chain thereof.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form
  Example:

         g.V().count()               // is replaced by TinkerCountGlobalStep
         g.V().map(out()).count()    // is replaced by TinkerCountGlobalStep
         g.E().label().count()       // is replaced by TinkerCountGlobalStep

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `TraversalStrategy.DecorationStrategy, TraversalStrategy.FinalizationStrategy, TraversalStrategy.OptimizationStrategy, TraversalStrategy.ProviderOptimizationStrategy, TraversalStrategy.VerificationStrategy`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `STRATEGY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Traversal.Admin<?,?> traversal)`
    `Set<Class<? extends TraversalStrategy.ProviderOptimizationStrategy>>` | `applyPost()` The set of strategies that must be executed after this strategy is executed.
    `static TinkerGraphCountStrategy` | `instance()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy.ProviderOptimizationStrategy

      `compareTo, getTraversalCategory`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `applyPrior, getConfiguration`

- - ### Method Detail

    - #### apply

          public void apply(Traversal.Admin<?,?> traversal)

      Specified by:
        `apply` in interface `TraversalStrategy<TraversalStrategy.ProviderOptimizationStrategy>`

    - #### applyPost

          public Set<Class<? extends TraversalStrategy.ProviderOptimizationStrategy>> applyPost()

      Description copied from interface: `TraversalStrategy`
      The set of strategies that must be executed after this strategy is executed. If there are no ordering requirements, the default implementation returns an empty set.
      Specified by:
        `applyPost` in interface `TraversalStrategy<TraversalStrategy.ProviderOptimizationStrategy>`
      Returns:
        the set of strategies that must be executed post this one

    - #### instance

          public static TinkerGraphCountStrategy instance()

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.